libzypp: zypp::applydeltarpm Namespace Reference

libzypp 17.38.6

zypp::applydeltarpm Namespace Reference

Namespace wrapping invocations of /usr/bin/applydeltarpm. More...

## Functions
bool | haveApplydeltarpm ()
| Test whether an execuatble applydeltarpm program is available.
Check if reconstruction of rpm is possible.
See also man applydeltarpm
bool | check (const std::string &sequenceinfo_r, bool quick_r=false)
| Check via sequence info.
bool | check (const Pathname &delta_r, bool quick_r=false)
| Check via deltarpm.
bool | quickcheck (const std::string &sequenceinfo_r)
| Quick via check sequence info.
bool | quickcheck (const Pathname &delta_r)
| Quick check via deltarpm.

## Re-create a new rpm from binary delta.
See also man applydeltarpm
using | Progress = function<void (unsigned int)>
| progress reporting
bool | provide (const Pathname &delta_r, const Pathname &new_r, const Progress &report_r=Progress())
| Apply a binary delta to on-disk data to re-create a new rpm.
bool | provide (const Pathname &old_r, const Pathname &delta_r, const Pathname &new_r, const Progress &report_r=Progress())
| Apply a binary delta to an old rpm to re-create a new rpm.

## Detailed Description

Namespace wrapping invocations of /usr/bin/applydeltarpm.

## Typedef Documentation

## ◆ Progress

using zypp::applydeltarpm::Progress = function<void (unsigned int)>

progress reporting

Definition at line 61 of file Applydeltarpm.h.

## Function Documentation

## ◆ haveApplydeltarpm()

bool zypp::applydeltarpm::haveApplydeltarpm | ( |  | ) |

Test whether an execuatble applydeltarpm program is available.

Definition at line 69 of file Applydeltarpm.cc.

## ◆ check() [1/2]

bool zypp::applydeltarpm::check | ( | const std::string & | sequenceinfo_r,
|  | bool | quick_r = false )

Check via sequence info.

See also
  applydeltarpm [-c|-C] -s sequence

Definition at line 93 of file Applydeltarpm.cc.

## ◆ check() [2/2]

bool zypp::applydeltarpm::check | ( | const Pathname & | delta_r,
|  | bool | quick_r = false )

Check via deltarpm.

See also
  applydeltarpm [-c|-C] deltarpm

Definition at line 113 of file Applydeltarpm.cc.

## ◆ provide() [1/2]

bool zypp::applydeltarpm::provide | ( | const Pathname & | delta_r,
|  | const Pathname & | new_r,
|  | const Progress & | report_r = Progress() )

Apply a binary delta to on-disk data to re-create a new rpm.

See also
  applydeltarpm deltarpm newrpm

Definition at line 133 of file Applydeltarpm.cc.

## ◆ provide() [2/2]

bool zypp::applydeltarpm::provide | ( | const Pathname & | old_r,
|  | const Pathname & | delta_r,
|  | const Pathname & | new_r,
|  | const Progress & | report_r = Progress() )

Apply a binary delta to an old rpm to re-create a new rpm.

See also
  applydeltarpm -r oldrpm deltarpm newrpm

Definition at line 163 of file Applydeltarpm.cc.

## ◆ quickcheck() [1/2]

bool zypp::applydeltarpm::quickcheck | ( | const std::string & | sequenceinfo_r | ) |
| inline

Quick via check sequence info.

Definition at line 48 of file Applydeltarpm.h.

## ◆ quickcheck() [2/2]

bool zypp::applydeltarpm::quickcheck | ( | const Pathname & | delta_r | ) |
| inline

Quick check via deltarpm.

Definition at line 52 of file Applydeltarpm.h.